cURL
curl --request GET \
--url https://us.infisical.com/api/v3/secrets/raw/{secretName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v3/secrets/raw/{secretName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v3/secrets/raw/{secretName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secret": {
"id": "<string>",
"_id": "<string>",
"workspace": "<string>",
"environment": "<string>",
"version": 123,
"type": "<string>",
"secretKey": "<string>",
"secretValue": "<string>",
"secretComment": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secretValueHidden": true,
"secretPath": "<string>",
"secretReminderNote": "<string>",
"secretReminderRepeatDays": 123,
"skipMultilineEncoding": false,
"actor": {
"actorId": "<string>",
"actorType": "<string>",
"name": "<string>",
"membershipId": "<string>",
"groupId": "<string>"
},
"isRotatedSecret": true,
"rotationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"secretMetadata": [
{
"key": "<string>",
"value": "",
"isEncrypted": false
}
]
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Legacy
Retrieve
Get a secret by name
GET
/
api
/
v3
/
secrets
/
raw
/
{secretName}
cURL
Authorizations
An access token in Infisical
Path Parameters
The name of the secret to get.
Query Parameters
The ID of the project to get the secret from.
The slug of the project to get the secret from.
The slug of the environment to get the secret from.
The path of the secret to get.
The version of the secret to get.
The type of the secret to get.
Available options:
shared, personal Whether or not to retrieve the secret value.
Available options:
true, false Whether or not to expand secret references.
Available options:
true, false Weather to include imported secrets or not.
Available options:
true, false Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I